[json-simple] 01/10: Fetch source tarball from SVN

Gilles Filippini pini at alioth.debian.org
Sun Sep 22 14:33:33 UTC 2013


This is an automated email from the git hooks/post-receive script.

pini pushed a commit to branch master
in repository json-simple.

commit 8ca30995a30591208f45bbfec00b43e08d01b0eb
Author: Gilles Filippini <pini at debian.org>
Date:   Fri Sep 20 22:09:00 2013 +0200

    Fetch source tarball from SVN
---
 debian/orig-tar.exclude |    1 -
 debian/orig-tar.sh      |   35 ++++++++++++++++++++++++-----------
 debian/watch            |    8 ++++++--
 3 files changed, 30 insertions(+), 14 deletions(-)

diff --git a/debian/orig-tar.exclude b/debian/orig-tar.exclude
deleted file mode 100644
index d392f0e..0000000
--- a/debian/orig-tar.exclude
+++ /dev/null
@@ -1 +0,0 @@
-*.jar
diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
index c107e77..156bb9c 100755
--- a/debian/orig-tar.sh
+++ b/debian/orig-tar.sh
@@ -3,16 +3,29 @@
 # called by uscan with '--upstream-version' <version> <file>
 SOURCE_NAME=json-simple
 VERSION=$2
-DEBIAN_VERSION=$VERSION-dfsg1
-UPSTREAM_SOURCE_DIR=$(echo $SOURCE_NAME | tr '-' '_')-${VERSION}-all
+EXCLUDE_FILE="$(dirname "$0")/$(basename "$0" .sh).exclude"
+if [ -f "${EXCLUDE_FILE}" ]; then
+  DEBIAN_VERSION=$VERSION+dfsg1
+else
+  DEBIAN_VERSION=$VERSION
+fi
 DEBIAN_SOURCE_DIR=${SOURCE_NAME}-$DEBIAN_VERSION
-TAR=${USCAN_DESTDIR:-.}/${SOURCE_NAME}_$DEBIAN_VERSION.orig.tar.bz2
+TAR=${USCAN_DESTDIR:-..}/${SOURCE_NAME}_$DEBIAN_VERSION.orig.tar.bz2
+FLAG_FILE="$3"
 
-# clean up the upstream tarball
-unzip $3 >/dev/null
-# rename upstream source dir
-mv ${UPSTREAM_SOURCE_DIR} ${DEBIAN_SOURCE_DIR}
-# Remove excluded files
-tar -c -j -X debian/orig-tar.exclude -f $TAR ${DEBIAN_SOURCE_DIR}/
-rm -rf ${DEBIAN_SOURCE_DIR} $3
-echo "${SOURCE_NAME}: Applied DFSG removals and set up tarball to `basename ${TAR}`"
+# Mandatory cleanup
+clean () {
+  rm -fr ${DEBIAN_SOURCE_DIR} ${FLAG_FILE}
+}
+trap 'clean' EXIT INT QUIT KILL ABRT
+
+# Get the source tree from SVN
+svn export http://json-simple.googlecode.com/svn/tags/tag_release_$(echo $VERSION | sed 's/\./_/g') ${DEBIAN_SOURCE_DIR}
+# Build orig tarball
+if [ -f "${EXCLUDE_FILE}" ]; then
+  tar -c -j -X debian/orig-tar.exclude -f $TAR ${DEBIAN_SOURCE_DIR}/
+  echo "${SOURCE_NAME}: Applied DFSG removals and set up tarball to `basename ${TAR}`"
+else
+  tar -c -j -f $TAR ${DEBIAN_SOURCE_DIR}/
+  echo "${SOURCE_NAME}: Set up tarball to `basename ${TAR}`"
+fi
diff --git a/debian/watch b/debian/watch
index 9249bb7..bf277ca 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,4 +1,8 @@
 version=3
-opts="dversionmangle=s/-dfsg\d+$//" \
-http://code.google.com/p/json-simple/downloads/list .*/json_simple-(.*)-all\.zip \
+#opts="dversionmangle=s/-dfsg\d+$//" \
+#http://code.google.com/p/json-simple/downloads/list .*/json_simple-(.*)-all\.zip \
+#debian debian/orig-tar.sh
+opts="uversionmangle=s/_/./g;s/\/.*//,filenamemangle=s/\///;s/tag_release_/json-simple-/;s/_/./g;s/$/.svn/" \
+http://json-simple.googlecode.com/svn/tags/tag_release_(\d\S*) \
 debian debian/orig-tar.sh
+#http://code.google.com/p/<project>/downloads/list .*/<project>-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/json-simple.git



More information about the pkg-java-commits mailing list